@mixin list {
  // Bullets da lista não ordenada
  ul {
    list-style: none;

    li {
      &::before {
        color: currentColor;
        content: "•";
        display: inline-block;
        opacity: 0.65;
        padding-right: var(--spacing-scale-base);
        position: absolute;
        transform: scale(3) translate(-2px, -1px);
      }
    }
  }
  // Estilo base para listas
  ul,
  ol {
    margin: 0;

    li {
      padding: var(--spacing-scale-base) 0;
    }

    ul,
    ol {
      margin: var(--spacing-scale-base) 0 calc(#{var(--spacing-scale-base)} * -1);
    }
  }
  // Estilo base para lista de definição
  dt {
    font-weight: var(--font-weight-semi-bold);
    padding: var(--spacing-scale-base) 0;
  }

  dd {
    font-style: italic;
    padding: var(--spacing-scale-base) 0;
  }
}
